The Purchase Receipt object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

title string
supplier string required
supplier_name string
supplier_delivery_note string
posting_date string required
posting_time string required
set_posting_time boolean

Default: false

company string required
is_return boolean

Default: false

return_against string
supplier_address string
contact_person string
address_display string
contact_display string
contact_mobile string
contact_email string
shipping_address string
shipping_address_display string
currency string required
conversion_rate number required
buying_price_list string
price_list_currency string
plc_conversion_rate number
ignore_pricing_rule boolean

Default: false

set_warehouse string
rejected_warehouse string
is_subcontracted boolean

Default: false

supplier_warehouse string
total_qty number
base_total number
base_net_total number required
total number
net_total number
total_net_weight number
tax_category string
shipping_rule string
taxes_and_charges string
other_charges_calculation string
base_taxes_and_charges_added number
base_taxes_and_charges_deducted number
base_total_taxes_and_charges number
taxes_and_charges_added number
taxes_and_charges_deducted number
total_taxes_and_charges number
apply_discount_on string

Default: Grand Total

base_discount_amount number
additional_discount_percentage number
discount_amount number
base_grand_total number
base_rounding_adjustment number
base_in_words string
base_rounded_total number
grand_total number
rounding_adjustment number
rounded_total number
in_words string
disable_rounded_total boolean

Default: false

tc_name string
terms string
range string
project string
per_billed number
auto_repeat string
letter_head string
select_print_heading string
language string
group_same_items boolean

Default: false

instructions string
remarks string
transporter_name string
lr_no string
lr_date string
is_internal_supplier boolean

Default: false

inter_company_reference string
scan_barcode string
billing_address string
billing_address_display string
apply_putaway_rule boolean

Default: false

per_returned number
set_from_warehouse string
represents_company string
cost_center string
is_old_subcontracting_flow boolean

Default: false

incoterm string
named_place string
subcontracting_receipt string
dispatch_address string
dispatch_address_display string
The Purchase Receipt object
{
  "id": "purchase-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "title_example",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_delivery_note": "supplier_delivery_note_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "currency": "USD",
  "conversion_rate": 0,
  "buying_price_list": "buying_price_list_example",
  "price_list_currency": "USD",
  "plc_conversion_rate": 0,
  "ignore_pricing_rule": false,
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "is_subcontracted": false,
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "base_total": 0,
  "base_net_total": 0,
  "total": 0,
  "net_total": 0,
  "total_net_weight": 0,
  "tax_category": "tax_category_example",
  "shipping_rule": "shipping_rule_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "other_charges_calculation": "other_charges_calculation_example",
  "base_taxes_and_charges_added": 0,
  "base_taxes_and_charges_deducted": 0,
  "base_total_taxes_and_charges": 0,
  "taxes_and_charges_added": 0,
  "taxes_and_charges_deducted": 0,
  "total_taxes_and_charges": 0,
  "apply_discount_on": "Grand Total",
  "base_discount_amount": 0,
  "additional_discount_percentage": 0,
  "discount_amount": 0,
  "base_grand_total": 0,
  "base_rounding_adjustment": 0,
  "base_in_words": "base_in_words_example",
  "base_rounded_total": 0,
  "grand_total": 0,
  "rounding_adjustment": 0,
  "rounded_total": 0,
  "in_words": "in_words_example",
  "disable_rounded_total": false,
  "tc_name": "tc_name_example",
  "terms": "terms_example",
  "range": "range_example",
  "project": "project_example",
  "per_billed": 0,
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "group_same_items": false,
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "is_internal_supplier": false,
  "inter_company_reference": "Example Corp",
  "scan_barcode": "scan_barcode_example",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "apply_putaway_rule": false,
  "per_returned": 0,
  "set_from_warehouse": "set_from_warehouse_example",
  "represents_company": "Example Corp",
  "cost_center": "cost_center_example",
  "is_old_subcontracting_flow": false,
  "incoterm": "incoterm_example",
  "named_place": "named_place_example",
  "subcontracting_receipt": "subcontracting_receipt_example",
  "dispatch_address": "dispatch_address_example",
  "dispatch_address_display": "dispatch_address_display_example"
}
GET /api/stock/purchase-receipt/{id}

Retrieve a purchase receipt

Retrieves the details of an existing purchase receipt. Supply the unique purchase receipt ID that was returned from a previous request.

Path parameters

id string required

The identifier of the purchase receipt to retrieve.

Returns

Returns the purchase receipt object if a valid identifier was provided.

GET /api/stock/purchase-receipt/{id}
curl https://api.overplane.dev/api/stock/purchase-receipt/purchase-receipt_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "purchase-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "title_example",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_delivery_note": "supplier_delivery_note_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "currency": "USD",
  "conversion_rate": 0,
  "buying_price_list": "buying_price_list_example",
  "price_list_currency": "USD",
  "plc_conversion_rate": 0,
  "ignore_pricing_rule": false,
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "is_subcontracted": false,
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "base_total": 0,
  "base_net_total": 0,
  "total": 0,
  "net_total": 0,
  "total_net_weight": 0,
  "tax_category": "tax_category_example",
  "shipping_rule": "shipping_rule_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "other_charges_calculation": "other_charges_calculation_example",
  "base_taxes_and_charges_added": 0,
  "base_taxes_and_charges_deducted": 0,
  "base_total_taxes_and_charges": 0,
  "taxes_and_charges_added": 0,
  "taxes_and_charges_deducted": 0,
  "total_taxes_and_charges": 0,
  "apply_discount_on": "Grand Total",
  "base_discount_amount": 0,
  "additional_discount_percentage": 0,
  "discount_amount": 0,
  "base_grand_total": 0,
  "base_rounding_adjustment": 0,
  "base_in_words": "base_in_words_example",
  "base_rounded_total": 0,
  "grand_total": 0,
  "rounding_adjustment": 0,
  "rounded_total": 0,
  "in_words": "in_words_example",
  "disable_rounded_total": false,
  "tc_name": "tc_name_example",
  "terms": "terms_example",
  "range": "range_example",
  "project": "project_example",
  "per_billed": 0,
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "group_same_items": false,
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "is_internal_supplier": false,
  "inter_company_reference": "Example Corp",
  "scan_barcode": "scan_barcode_example",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "apply_putaway_rule": false,
  "per_returned": 0,
  "set_from_warehouse": "set_from_warehouse_example",
  "represents_company": "Example Corp",
  "cost_center": "cost_center_example",
  "is_old_subcontracting_flow": false,
  "incoterm": "incoterm_example",
  "named_place": "named_place_example",
  "subcontracting_receipt": "subcontracting_receipt_example",
  "dispatch_address": "dispatch_address_example",
  "dispatch_address_display": "dispatch_address_display_example"
}
GET /api/stock/purchase-receipt

List all purchase receipts

Returns a list of purchase receipts. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of purchase receipt objects.

GET /api/stock/purchase-receipt
curl https://api.overplane.dev/api/stock/purchase-receipt \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "purchase-receipt_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "title": "title_example",
      "supplier": "supplier_example",
      "supplier_name": "supplier_name_example",
      "supplier_delivery_note": "supplier_delivery_note_example",
      "posting_date": "2024-01-15",
      "posting_time": "posting_time_example",
      "set_posting_time": false,
      "company": "Example Corp",
      "is_return": false,
      "return_against": "return_against_example",
      "supplier_address": "supplier_address_example",
      "contact_person": "contact_person_example",
      "address_display": "address_display_example",
      "contact_display": "contact_display_example",
      "contact_mobile": "contact_mobile_example",
      "contact_email": "[email protected]",
      "shipping_address": "shipping_address_example",
      "shipping_address_display": "shipping_address_display_example",
      "currency": "USD",
      "conversion_rate": 0,
      "buying_price_list": "buying_price_list_example",
      "price_list_currency": "USD",
      "plc_conversion_rate": 0,
      "ignore_pricing_rule": false,
      "set_warehouse": "set_warehouse_example",
      "rejected_warehouse": "rejected_warehouse_example",
      "is_subcontracted": false,
      "supplier_warehouse": "supplier_warehouse_example",
      "total_qty": 0,
      "base_total": 0,
      "base_net_total": 0,
      "total": 0,
      "net_total": 0,
      "total_net_weight": 0,
      "tax_category": "tax_category_example",
      "shipping_rule": "shipping_rule_example",
      "taxes_and_charges": "taxes_and_charges_example",
      "other_charges_calculation": "other_charges_calculation_example",
      "base_taxes_and_charges_added": 0,
      "base_taxes_and_charges_deducted": 0,
      "base_total_taxes_and_charges": 0,
      "taxes_and_charges_added": 0,
      "taxes_and_charges_deducted": 0,
      "total_taxes_and_charges": 0,
      "apply_discount_on": "Grand Total",
      "base_discount_amount": 0,
      "additional_discount_percentage": 0,
      "discount_amount": 0,
      "base_grand_total": 0,
      "base_rounding_adjustment": 0,
      "base_in_words": "base_in_words_example",
      "base_rounded_total": 0,
      "grand_total": 0,
      "rounding_adjustment": 0,
      "rounded_total": 0,
      "in_words": "in_words_example",
      "disable_rounded_total": false,
      "tc_name": "tc_name_example",
      "terms": "terms_example",
      "range": "range_example",
      "project": "project_example",
      "per_billed": 0,
      "auto_repeat": "auto_repeat_example",
      "letter_head": "letter_head_example",
      "select_print_heading": "select_print_heading_example",
      "language": "language_example",
      "group_same_items": false,
      "instructions": "instructions_example",
      "remarks": "remarks_example",
      "transporter_name": "transporter_name_example",
      "lr_no": "lr_no_example",
      "lr_date": "2024-01-15",
      "is_internal_supplier": false,
      "inter_company_reference": "Example Corp",
      "scan_barcode": "scan_barcode_example",
      "billing_address": "billing_address_example",
      "billing_address_display": "billing_address_display_example",
      "apply_putaway_rule": false,
      "per_returned": 0,
      "set_from_warehouse": "set_from_warehouse_example",
      "represents_company": "Example Corp",
      "cost_center": "cost_center_example",
      "is_old_subcontracting_flow": false,
      "incoterm": "incoterm_example",
      "named_place": "named_place_example",
      "subcontracting_receipt": "subcontracting_receipt_example",
      "dispatch_address": "dispatch_address_example",
      "dispatch_address_display": "dispatch_address_display_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/purchase-receipt

Create a purchase receipt

Creates a new purchase receipt object.

Body parameters

status string

Default: draft

title string
supplier string required
supplier_name string
supplier_delivery_note string
posting_date string required
posting_time string required
set_posting_time boolean

Default: false

company string required
is_return boolean

Default: false

return_against string
supplier_address string
contact_person string
address_display string
contact_display string
contact_mobile string
contact_email string
shipping_address string
shipping_address_display string
currency string required
conversion_rate number required
buying_price_list string
price_list_currency string
plc_conversion_rate number
ignore_pricing_rule boolean

Default: false

set_warehouse string
rejected_warehouse string
is_subcontracted boolean

Default: false

supplier_warehouse string
total_qty number
base_total number
base_net_total number required
total number
net_total number
total_net_weight number
tax_category string
shipping_rule string
taxes_and_charges string
other_charges_calculation string
base_taxes_and_charges_added number
base_taxes_and_charges_deducted number
base_total_taxes_and_charges number
taxes_and_charges_added number
taxes_and_charges_deducted number
total_taxes_and_charges number
apply_discount_on string

Default: Grand Total

base_discount_amount number
additional_discount_percentage number
discount_amount number
base_grand_total number
base_rounding_adjustment number
base_in_words string
base_rounded_total number
grand_total number
rounding_adjustment number
rounded_total number
in_words string
disable_rounded_total boolean

Default: false

tc_name string
terms string
range string
project string
per_billed number
auto_repeat string
letter_head string
select_print_heading string
language string
group_same_items boolean

Default: false

instructions string
remarks string
transporter_name string
lr_no string
lr_date string
is_internal_supplier boolean

Default: false

inter_company_reference string
scan_barcode string
billing_address string
billing_address_display string
apply_putaway_rule boolean

Default: false

per_returned number
set_from_warehouse string
represents_company string
cost_center string
is_old_subcontracting_flow boolean

Default: false

incoterm string
named_place string
subcontracting_receipt string
dispatch_address string
dispatch_address_display string

Returns

Returns the newly created purchase receipt object if the call succeeded.

POST /api/stock/purchase-receipt
curl https://api.overplane.dev/api/stock/purchase-receipt \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"supplier":"supplier_example","posting_date":"2024-01-15","posting_time":"posting_time_example","company":"Example Corp","currency":"USD","conversion_rate":0,"base_net_total":0}'
Response
{
  "id": "purchase-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "title_example",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_delivery_note": "supplier_delivery_note_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "currency": "USD",
  "conversion_rate": 0,
  "buying_price_list": "buying_price_list_example",
  "price_list_currency": "USD",
  "plc_conversion_rate": 0,
  "ignore_pricing_rule": false,
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "is_subcontracted": false,
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "base_total": 0,
  "base_net_total": 0,
  "total": 0,
  "net_total": 0,
  "total_net_weight": 0,
  "tax_category": "tax_category_example",
  "shipping_rule": "shipping_rule_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "other_charges_calculation": "other_charges_calculation_example",
  "base_taxes_and_charges_added": 0,
  "base_taxes_and_charges_deducted": 0,
  "base_total_taxes_and_charges": 0,
  "taxes_and_charges_added": 0,
  "taxes_and_charges_deducted": 0,
  "total_taxes_and_charges": 0,
  "apply_discount_on": "Grand Total",
  "base_discount_amount": 0,
  "additional_discount_percentage": 0,
  "discount_amount": 0,
  "base_grand_total": 0,
  "base_rounding_adjustment": 0,
  "base_in_words": "base_in_words_example",
  "base_rounded_total": 0,
  "grand_total": 0,
  "rounding_adjustment": 0,
  "rounded_total": 0,
  "in_words": "in_words_example",
  "disable_rounded_total": false,
  "tc_name": "tc_name_example",
  "terms": "terms_example",
  "range": "range_example",
  "project": "project_example",
  "per_billed": 0,
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "group_same_items": false,
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "is_internal_supplier": false,
  "inter_company_reference": "Example Corp",
  "scan_barcode": "scan_barcode_example",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "apply_putaway_rule": false,
  "per_returned": 0,
  "set_from_warehouse": "set_from_warehouse_example",
  "represents_company": "Example Corp",
  "cost_center": "cost_center_example",
  "is_old_subcontracting_flow": false,
  "incoterm": "incoterm_example",
  "named_place": "named_place_example",
  "subcontracting_receipt": "subcontracting_receipt_example",
  "dispatch_address": "dispatch_address_example",
  "dispatch_address_display": "dispatch_address_display_example"
}
PATCH /api/stock/purchase-receipt/{id}

Update a purchase receipt

Updates the specified purchase receipt by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the purchase receipt to update.

Body parameters

status string

Default: draft

title string
supplier string
supplier_name string
supplier_delivery_note string
posting_date string
posting_time string
set_posting_time boolean

Default: false

company string
is_return boolean

Default: false

return_against string
supplier_address string
contact_person string
address_display string
contact_display string
contact_mobile string
contact_email string
shipping_address string
shipping_address_display string
currency string
conversion_rate number
buying_price_list string
price_list_currency string
plc_conversion_rate number
ignore_pricing_rule boolean

Default: false

set_warehouse string
rejected_warehouse string
is_subcontracted boolean

Default: false

supplier_warehouse string
total_qty number
base_total number
base_net_total number
total number
net_total number
total_net_weight number
tax_category string
shipping_rule string
taxes_and_charges string
other_charges_calculation string
base_taxes_and_charges_added number
base_taxes_and_charges_deducted number
base_total_taxes_and_charges number
taxes_and_charges_added number
taxes_and_charges_deducted number
total_taxes_and_charges number
apply_discount_on string

Default: Grand Total

base_discount_amount number
additional_discount_percentage number
discount_amount number
base_grand_total number
base_rounding_adjustment number
base_in_words string
base_rounded_total number
grand_total number
rounding_adjustment number
rounded_total number
in_words string
disable_rounded_total boolean

Default: false

tc_name string
terms string
range string
project string
per_billed number
auto_repeat string
letter_head string
select_print_heading string
language string
group_same_items boolean

Default: false

instructions string
remarks string
transporter_name string
lr_no string
lr_date string
is_internal_supplier boolean

Default: false

inter_company_reference string
scan_barcode string
billing_address string
billing_address_display string
apply_putaway_rule boolean

Default: false

per_returned number
set_from_warehouse string
represents_company string
cost_center string
is_old_subcontracting_flow boolean

Default: false

incoterm string
named_place string
subcontracting_receipt string
dispatch_address string
dispatch_address_display string

Returns

Returns the updated purchase receipt object.

PATCH /api/stock/purchase-receipt/{id}
curl https://api.overplane.dev/api/stock/purchase-receipt/purchase-receipt_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","title":"title_example"}'
Response
{
  "id": "purchase-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "title_example",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_delivery_note": "supplier_delivery_note_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "currency": "USD",
  "conversion_rate": 0,
  "buying_price_list": "buying_price_list_example",
  "price_list_currency": "USD",
  "plc_conversion_rate": 0,
  "ignore_pricing_rule": false,
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "is_subcontracted": false,
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "base_total": 0,
  "base_net_total": 0,
  "total": 0,
  "net_total": 0,
  "total_net_weight": 0,
  "tax_category": "tax_category_example",
  "shipping_rule": "shipping_rule_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "other_charges_calculation": "other_charges_calculation_example",
  "base_taxes_and_charges_added": 0,
  "base_taxes_and_charges_deducted": 0,
  "base_total_taxes_and_charges": 0,
  "taxes_and_charges_added": 0,
  "taxes_and_charges_deducted": 0,
  "total_taxes_and_charges": 0,
  "apply_discount_on": "Grand Total",
  "base_discount_amount": 0,
  "additional_discount_percentage": 0,
  "discount_amount": 0,
  "base_grand_total": 0,
  "base_rounding_adjustment": 0,
  "base_in_words": "base_in_words_example",
  "base_rounded_total": 0,
  "grand_total": 0,
  "rounding_adjustment": 0,
  "rounded_total": 0,
  "in_words": "in_words_example",
  "disable_rounded_total": false,
  "tc_name": "tc_name_example",
  "terms": "terms_example",
  "range": "range_example",
  "project": "project_example",
  "per_billed": 0,
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "group_same_items": false,
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "is_internal_supplier": false,
  "inter_company_reference": "Example Corp",
  "scan_barcode": "scan_barcode_example",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "apply_putaway_rule": false,
  "per_returned": 0,
  "set_from_warehouse": "set_from_warehouse_example",
  "represents_company": "Example Corp",
  "cost_center": "cost_center_example",
  "is_old_subcontracting_flow": false,
  "incoterm": "incoterm_example",
  "named_place": "named_place_example",
  "subcontracting_receipt": "subcontracting_receipt_example",
  "dispatch_address": "dispatch_address_example",
  "dispatch_address_display": "dispatch_address_display_example"
}
DELETE /api/stock/purchase-receipt/{id}

Delete a purchase receipt

Permanently deletes a purchase receipt. This cannot be undone.

Path parameters

id string required

The identifier of the purchase receipt to delete.

Returns

Returns a confirmation that the purchase receipt has been deleted.

DELETE /api/stock/purchase-receipt/{id}
curl https://api.overplane.dev/api/stock/purchase-receipt/purchase-receipt_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "purchase-receipt_abc123",
  "deleted": true
}
POST /api/stock/purchase-receipt/{id}/submit

Submit a purchase receipt

Submits a draft purchase receipt, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the purchase receipt to act on.

Returns

Returns the purchase receipt object with updated status.

POST /api/stock/purchase-receipt/{id}/submit
curl https://api.overplane.dev/api/stock/purchase-receipt/purchase-receipt_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "purchase-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "title_example",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_delivery_note": "supplier_delivery_note_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "currency": "USD",
  "conversion_rate": 0,
  "buying_price_list": "buying_price_list_example",
  "price_list_currency": "USD",
  "plc_conversion_rate": 0,
  "ignore_pricing_rule": false,
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "is_subcontracted": false,
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "base_total": 0,
  "base_net_total": 0,
  "total": 0,
  "net_total": 0,
  "total_net_weight": 0,
  "tax_category": "tax_category_example",
  "shipping_rule": "shipping_rule_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "other_charges_calculation": "other_charges_calculation_example",
  "base_taxes_and_charges_added": 0,
  "base_taxes_and_charges_deducted": 0,
  "base_total_taxes_and_charges": 0,
  "taxes_and_charges_added": 0,
  "taxes_and_charges_deducted": 0,
  "total_taxes_and_charges": 0,
  "apply_discount_on": "Grand Total",
  "base_discount_amount": 0,
  "additional_discount_percentage": 0,
  "discount_amount": 0,
  "base_grand_total": 0,
  "base_rounding_adjustment": 0,
  "base_in_words": "base_in_words_example",
  "base_rounded_total": 0,
  "grand_total": 0,
  "rounding_adjustment": 0,
  "rounded_total": 0,
  "in_words": "in_words_example",
  "disable_rounded_total": false,
  "tc_name": "tc_name_example",
  "terms": "terms_example",
  "range": "range_example",
  "project": "project_example",
  "per_billed": 0,
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "group_same_items": false,
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "is_internal_supplier": false,
  "inter_company_reference": "Example Corp",
  "scan_barcode": "scan_barcode_example",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "apply_putaway_rule": false,
  "per_returned": 0,
  "set_from_warehouse": "set_from_warehouse_example",
  "represents_company": "Example Corp",
  "cost_center": "cost_center_example",
  "is_old_subcontracting_flow": false,
  "incoterm": "incoterm_example",
  "named_place": "named_place_example",
  "subcontracting_receipt": "subcontracting_receipt_example",
  "dispatch_address": "dispatch_address_example",
  "dispatch_address_display": "dispatch_address_display_example"
}
POST /api/stock/purchase-receipt/{id}/cancel

Cancel a purchase receipt

Cancels a submitted purchase receipt, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the purchase receipt to act on.

Returns

Returns the purchase receipt object with updated status.

POST /api/stock/purchase-receipt/{id}/cancel
curl https://api.overplane.dev/api/stock/purchase-receipt/purchase-receipt_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "purchase-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "title_example",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "supplier_delivery_note": "supplier_delivery_note_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "set_posting_time": false,
  "company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "currency": "USD",
  "conversion_rate": 0,
  "buying_price_list": "buying_price_list_example",
  "price_list_currency": "USD",
  "plc_conversion_rate": 0,
  "ignore_pricing_rule": false,
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "is_subcontracted": false,
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "base_total": 0,
  "base_net_total": 0,
  "total": 0,
  "net_total": 0,
  "total_net_weight": 0,
  "tax_category": "tax_category_example",
  "shipping_rule": "shipping_rule_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "other_charges_calculation": "other_charges_calculation_example",
  "base_taxes_and_charges_added": 0,
  "base_taxes_and_charges_deducted": 0,
  "base_total_taxes_and_charges": 0,
  "taxes_and_charges_added": 0,
  "taxes_and_charges_deducted": 0,
  "total_taxes_and_charges": 0,
  "apply_discount_on": "Grand Total",
  "base_discount_amount": 0,
  "additional_discount_percentage": 0,
  "discount_amount": 0,
  "base_grand_total": 0,
  "base_rounding_adjustment": 0,
  "base_in_words": "base_in_words_example",
  "base_rounded_total": 0,
  "grand_total": 0,
  "rounding_adjustment": 0,
  "rounded_total": 0,
  "in_words": "in_words_example",
  "disable_rounded_total": false,
  "tc_name": "tc_name_example",
  "terms": "terms_example",
  "range": "range_example",
  "project": "project_example",
  "per_billed": 0,
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "group_same_items": false,
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "is_internal_supplier": false,
  "inter_company_reference": "Example Corp",
  "scan_barcode": "scan_barcode_example",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "apply_putaway_rule": false,
  "per_returned": 0,
  "set_from_warehouse": "set_from_warehouse_example",
  "represents_company": "Example Corp",
  "cost_center": "cost_center_example",
  "is_old_subcontracting_flow": false,
  "incoterm": "incoterm_example",
  "named_place": "named_place_example",
  "subcontracting_receipt": "subcontracting_receipt_example",
  "dispatch_address": "dispatch_address_example",
  "dispatch_address_display": "dispatch_address_display_example"
}

Line items

Child objects that belong to this purchase receipt. These are accessed via the parent's ID.

Purchase Receipt Item

Attributes

idx integer
purchase_receipt_id string required
barcode string
item_code string required
supplier_part_no string
item_name string required
description string
image string
image_view string
received_qty number
qty number
rejected_qty number
uom string required
stock_uom string required
conversion_factor number required
retain_sample boolean
sample_quantity integer
price_list_rate number
discount_percentage number
discount_amount number
base_price_list_rate number
rate number
amount number
base_rate number required
base_amount number
pricing_rules string
is_free_item boolean
net_rate number
net_amount number
base_net_rate number
base_net_amount number
weight_per_unit number
total_weight number
weight_uom string
warehouse string
rejected_warehouse string
quality_inspection string
is_fixed_asset boolean
purchase_order string
schedule_date string
stock_qty number
item_tax_template string
project string
cost_center string
purchase_order_item string
allow_zero_valuation_rate boolean
bom string
include_exploded_items boolean
billed_amt number
landed_cost_voucher_amount number
brand string
item_group string
rm_supp_cost number
item_tax_amount number
valuation_rate number
item_tax_rate string
page_break boolean
material_request string
material_request_item string
expense_account string
manufacturer string
manufacturer_part_no string
asset_location string
asset_category string
from_warehouse string
purchase_receipt_item string
putaway_rule string
returned_qty number
received_stock_qty number
stock_uom_rate number
delivery_note_item string
margin_type string
margin_rate_or_amount number
rate_with_margin number
base_rate_with_margin number
purchase_invoice string
purchase_invoice_item string
product_bundle string
provisional_expense_account string
has_item_scanned boolean
serial_and_batch_bundle string
serial_no string
rejected_serial_no string
batch_no string
rejected_serial_and_batch_bundle string
wip_composite_asset string
sales_order string
sales_order_item string
subcontracting_receipt_item string
use_serial_batch_fields boolean
return_qty_from_rejected_warehouse boolean
sales_incoming_rate number
distributed_discount_amount number
amount_difference_with_purchase_invoice number

Endpoints

GET /api/stock/purchase-receipt-item?parent_id={id}
POST /api/stock/purchase-receipt-item
PATCH /api/stock/purchase-receipt-item/{id}
DELETE /api/stock/purchase-receipt-item/{id}
POST /api/stock/purchase-receipt-item/reorder
Purchase Receipt Item object
{
  "id": "purchase-receipt-item_abc123",
  "idx": 1,
  "purchase_receipt_id": "purchase_receipt_id_example",
  "barcode": "barcode_example",
  "item_code": "item_code_example",
  "supplier_part_no": "supplier_part_no_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "image": "image_example",
  "image_view": "image_view_example",
  "received_qty": 0,
  "qty": 0,
  "rejected_qty": 0,
  "uom": "uom_example",
  "stock_uom": "stock_uom_example",
  "conversion_factor": 0,
  "retain_sample": false,
  "sample_quantity": 0,
  "price_list_rate": 0,
  "discount_percentage": 0,
  "discount_amount": 0,
  "base_price_list_rate": 0,
  "rate": 0,
  "amount": 0,
  "base_rate": 0,
  "base_amount": 0,
  "pricing_rules": "pricing_rules_example",
  "is_free_item": false,
  "net_rate": 0,
  "net_amount": 0,
  "base_net_rate": 0,
  "base_net_amount": 0,
  "weight_per_unit": 0,
  "total_weight": 0,
  "weight_uom": "weight_uom_example",
  "warehouse": "warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "quality_inspection": "quality_inspection_example",
  "is_fixed_asset": false,
  "purchase_order": "purchase_order_example",
  "schedule_date": "2024-01-15",
  "stock_qty": 0,
  "item_tax_template": "item_tax_template_example",
  "project": "project_example",
  "cost_center": "cost_center_example",
  "purchase_order_item": "purchase_order_item_example",
  "allow_zero_valuation_rate": false,
  "bom": "bom_example",
  "include_exploded_items": false,
  "billed_amt": 0,
  "landed_cost_voucher_amount": 0,
  "brand": "brand_example",
  "item_group": "item_group_example",
  "rm_supp_cost": 0,
  "item_tax_amount": 0,
  "valuation_rate": 0,
  "item_tax_rate": "item_tax_rate_example",
  "page_break": false,
  "material_request": "material_request_example",
  "material_request_item": "material_request_item_example",
  "expense_account": "expense_account_example",
  "manufacturer": "manufacturer_example",
  "manufacturer_part_no": "manufacturer_part_no_example",
  "asset_location": "asset_location_example",
  "asset_category": "asset_category_example",
  "from_warehouse": "from_warehouse_example",
  "purchase_receipt_item": "purchase_receipt_item_example",
  "putaway_rule": "putaway_rule_example",
  "returned_qty": 0,
  "received_stock_qty": 0,
  "stock_uom_rate": 0,
  "delivery_note_item": "delivery_note_item_example",
  "margin_type": "margin_type_example",
  "margin_rate_or_amount": 0,
  "rate_with_margin": 0,
  "base_rate_with_margin": 0,
  "purchase_invoice": "purchase_invoice_example",
  "purchase_invoice_item": "purchase_invoice_item_example",
  "product_bundle": "product_bundle_example",
  "provisional_expense_account": "provisional_expense_account_example",
  "has_item_scanned": false,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "serial_no": "serial_no_example",
  "rejected_serial_no": "rejected_serial_no_example",
  "batch_no": "batch_no_example",
  "rejected_serial_and_batch_bundle": "rejected_serial_and_batch_bundle_example",
  "wip_composite_asset": "wip_composite_asset_example",
  "sales_order": "sales_order_example",
  "sales_order_item": "sales_order_item_example",
  "subcontracting_receipt_item": "subcontracting_receipt_item_example",
  "use_serial_batch_fields": false,
  "return_qty_from_rejected_warehouse": false,
  "sales_incoming_rate": 0,
  "distributed_discount_amount": 0,
  "amount_difference_with_purchase_invoice": 0
}